VPS侦探论坛

 找回密码
 注册
查看: 278|回复: 6

1.4升级到1.6

[复制链接]
发表于 2019-9-12 09:23:23 | 显示全部楼层 |阅读模式



没找到相关官方说明,这里问下,1.4升级到1.6需要注意什么问题?
需要更高版本php,本打算就install mphp ,发现没有需要的更高版本,才打算升级lnmp到1.6
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-9-12 09:40:10 | 显示全部楼层


升级只升级管理脚本和必须的依赖其他不动
https://lnmp.org/notice/lnmp-v1-6.html 按说明升级管理脚本,然后用1.6安装包 ./install.php mphp 就行了
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2019-9-15 09:12:01 | 显示全部楼层



谢谢指导,装好了。
有个小问题,新建站点的时候多版本选择没出现,只好手动改了站点conf
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-9-15 15:17:46 | 显示全部楼层



wblbird 发表于 2019-9-15 09:12
谢谢指导,装好了。
有个小问题,新建站点的时候多版本选择没出现,只好手动改了站点conf ...

会检查多php版本的各必须文件是否存在,如果不显示有可能有文件缺失
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2019-9-17 13:48:43 | 显示全部楼层

这反而尴尬了,不知道缺什么了,安装提示都没错误的

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2019-9-17 19:31:29 | 显示全部楼层

wblbird 发表于 2019-9-17 13:48
这反而尴尬了,不知道缺什么了,安装提示都没错误的

/usr/local/php7.2/sbin/php-fpm
/usr/local/nginx/conf/enable-php7.2.conf
/etc/init.d/php-fpm7.2
会判断这几个文件,如果存在就显示这个版本
版本号替换为自己的版本
 楼主| 发表于 2019-9-18 14:38:37 | 显示全部楼层

检查了都在的
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-12-6 12:06 , Processed in 0.045198 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表